Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.programmariabilitativoindividuale.vo.programmariabilitativoindividualeget
Class PRI

    java.lang.Object
      it.svimservice.nsisr.web.ws.programmariabilitativoindividuale.vo.programmariabilitativoindividualeget.PRI

All Implemented Interfaces:
  java.io.Serializable

    public class PRI

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`private Assistito` | `assistito` Dati generali inerenti l'assistito
`private java.lang.String` | `codFiscaleMedico` Codice fiscale del medico
`private java.lang.String` | `codiceStrutturaRiabilitativa` Codice univoco a livello regionale della struttura riabilitativa
`private int` | `codTipoPianoDiInterventoRiabilitativo` Indica la tipologia di un piano di intervento riabilitativo, ossia, se viene prescritto per la prima volta o se risulta essere la proroga di un precedente piano di intervento riabilitativo: 1 = Prima prescrizione 2 = Proroga
`private int` | `codTipoTrattamentoRiabilitativo` Codice tipo di trattamento riabilitativo. 1 = residenziale 2 = semiresidenziale 3 = ambulatoriale 4 = domiciliare 5 = ambulatoriale di gruppo
`private java.lang.String` | `dataEmissione` Data di emissione della ricetta SSN
`private java.lang.String` | `dataFinePiano` Data di fine del piano di intervento riabilitativo
`private java.lang.String` | `dataInizioPiano` Data di inizio del piano di intervento riabilitativo
`private java.lang.String` | `descEsamiStrumentali` Eventuali esami strumentali da effettuare
`private java.lang.String` | `descInformazioniCarattereAnamnesticoClinico` Informazioni di carattere anamnestico/clinico.
`private java.lang.String` | `descInterventiProposti` Descrizione degli interventi proposti
`private java.lang.String` | `descObiettiviFuturi` Obiettivi che si vogliono raggiungere per mezzo delle sedute di terapia riabilitativa
`private java.lang.String` | `descObiettiviRaggiunti` Obiettivi che sono stati raggiunti per mezzo delle sedute di terapia riabilitativa
`private java.lang.String` | `descSedeTrattamento` Sede presso cui effettuare il trattamento riabilitativo
`private java.lang.String` | `descStatoApprovazione` Indica lo stato di approvazione di un P.R.I..
`private java.lang.String` | `descTipoPianoDiInterventoRiabilitativo` Descrizione del tipo di piano: Prima prescrizione, Proroga
`private java.lang.String` | `descTipoTrattamentoRiabilitativo` Descrizione tipo di trattamento riabilitativo: residenziale semiresidenziale ambulatoriale domiciliare ambulatoriale di gruppo
`private java.lang.String` | `descValutazionePedagogica` Descrizione della valutazione pedagogica
`private java.lang.String` | `descValutazionePsicologica` Descrizione della valutazione psicologica
`private java.lang.String` | `descValutazioneSociale` Descrizione delle valutazioni sociali.
`private java.lang.String` | `descValutazioniFisioterapiche` Descrizione delle valutazioni fisioterapiche
`private java.lang.String` | `descValutazioniSocioEducative` Descrizioni delle valutazioni socio educative
`private java.lang.String` | `descValutazioniSpecialistichePerPatologia` Descrizione delle valutazioni specialistiche per patologia
`private DatiDimissione` | `dimissione` Dati generali inerenti la dimissione dell'assistito dalla struttura di riabilitazione.
`private GRPDiagnosiRiabilitazione` | `elencoDiagnosi` Elenco delle diagnosi
`private GRPDispositivi` | `elencoDispositivi` Descrizione dei dispositivi
`private GRPPrestazioniRiabilitative` | `elencoPrestazioni` Elenco delle prestazioni riabilitative
`private GRPPeriodoSospensione` | `elencoSospensione` Elenco dei periodi di sospensione del P.R.I.
`private GRPSpecialisti` | `elencoSpecialisti` Elenco degli specialisti che compongono il team che ha condotto il P.R.I.
`private java.lang.String` | `flagAcquisitaAutorizzazioneTrattamentoDatiPersonaliSensibili` Indicazione riguardo al fatto se è stata acquisita o meno su formato cartaceo l'autoprizzazione al trattamento dei dati personali e sensibili
`private java.lang.String` | `flagAcquisitoConsensoInformato` Indicazione riguardo al fatto se è stato acquisito o meno su formato cartaceo il consenso informato
`private java.lang.String` | `flagErogazionePrestazioneEducativoRiabilitativaDiAltroTipo` Indica se il P.R.I. prevede l'erogazione o meno di prestazioni educativo-riabilitative di altro tipo.
`private java.lang.String` | `flagErogazionePrestazioneEducativoRiabilitativaDiAttivazioneCognitiva` Indica se il P.R.I. prevede l'erogazione o meno di prestazioni educativo-riabilitative richieste dalla attivazione cognitiva.
`private java.lang.String` | `flagErogazionePrestazioneEducativoRiabilitativaDiEducazionePsicomotoria` Indica se il P.R.I. prevede l'erogazione o meno di prestazioni educativo-riabilitative richieste dalla educazione psicomotoria.
`private java.lang.String` | `flagErogazionePrestazioneEducativoRiabilitativaDiRecuperoDelleAutonomiePersonali` Indica se il P.R.I. prevede l'erogazione o meno di prestazioni educativo-riabilitative richieste dal recupero delle autonomie personali.
`private java.lang.String` | `flagErogazionePrestazioneRiabilitativaDiAltroTipo` Indica se il P.R.I. prevede l'erogazione o meno di prestazioni riabilitative di altro tipo.
`private java.lang.String` | `flagErogazionePrestazioneRiabilitativaDiFisiokinesiterapia` Indica se il P.R.I. prevede l'erogazione o meno di prestazioni riabilitative richieste dalla fisiokinesiterapia.
`private java.lang.String` | `flagErogazionePrestazioneRiabilitativaDiTerapiaDelLinguaggio` Indica se il P.R.I. prevede l'erogazione o meno di prestazioni riabilitative richieste dalla terapia del linguaggio.
`private java.lang.String` | `flagErogazionePrestazioneRiabilitativaDiTerapiaOccupazionale` Indica se il P.R.I. prevede l'erogazione o meno di prestazioni riabilitative richieste dalla terapia occupazionale.
`private java.lang.String` | `flagErogazionePrestazioneRiabilitativaDiTerapiaPsicomotoria` Indica se il P.R.I. prevede l'erogazione o meno di prestazioni riabilitative richieste dalla terapia psicomotoria.
`private java.lang.String` | `flagErogazionePrestazioneRiabilitativaDiTrainingCognitivo` Indica se il P.R.I. prevede l'erogazione o meno di prestazioni riabilitative richieste dal training cognitivo.
`private int` | `frequenzaTemporale` Indica ogni quanti giorni deve essere erogata una prestazione riabilitativa a carattere continuativo nel caso di regimi assistenziali Domiciliare, Ambulatoriale singolo o Ambulatoriale di gruppo.
`private int` | `numeroSedute` Numero di sedute nel caso di intervento di tipo non residenziale
`private int` | `numGGAssistenza` Numero di giornate di assistenza richieste nel caso di regimi assistenziali Semiresidenziali o Residenziale.
`private java.lang.String` | `numProtocollo` Numero di protocollo di un piano di intervento riabilitativo
`private static long` | `serialVersionUID`

Constructor Summary
`PRI()`

Method Summary
`Assistito` | `getAssistito()`
`java.lang.String` | `getCodFiscaleMedico()`
`java.lang.String` | `getCodiceStrutturaRiabilitativa()`
`int` | `getCodTipoPianoDiInterventoRiabilitativo()`
`int` | `getCodTipoTrattamentoRiabilitativo()`
`java.lang.String` | `getDataEmissione()`
`java.lang.String` | `getDataFinePiano()`
`java.lang.String` | `getDataInizioPiano()`
`java.lang.String` | `getDescEsamiStrumentali()`
`java.lang.String` | `getDescInformazioniCarattereAnamnesticoClinico()`
`java.lang.String` | `getDescInterventiProposti()`
`java.lang.String` | `getDescObiettiviFuturi()`
`java.lang.String` | `getDescObiettiviRaggiunti()`
`java.lang.String` | `getDescSedeTrattamento()`
`java.lang.String` | `getDescStatoApprovazione()`
`java.lang.String` | `getDescTipoPianoDiInterventoRiabilitativo()`
`java.lang.String` | `getDescTipoTrattamentoRiabilitativo()`
`java.lang.String` | `getDescValutazionePedagogica()`
`java.lang.String` | `getDescValutazionePsicologica()`
`java.lang.String` | `getDescValutazioneSociale()`
`java.lang.String` | `getDescValutazioniFisioterapiche()`
`java.lang.String` | `getDescValutazioniSocioEducative()`
`java.lang.String` | `getDescValutazioniSpecialistichePerPatologia()`
`DatiDimissione` | `getDimissione()`
`GRPDiagnosiRiabilitazione` | `getElencoDiagnosi()`
`GRPDispositivi` | `getElencoDispositivi()`
`GRPPrestazioniRiabilitative` | `getElencoPrestazioni()`
`GRPPeriodoSospensione` | `getElencoSospensione()`
`GRPSpecialisti` | `getElencoSpecialisti()`
`java.lang.String` | `getFlagAcquisitaAutorizzazioneTrattamentoDatiPersonaliSensibili()`
`java.lang.String` | `getFlagAcquisitoConsensoInformato()`
`java.lang.String` | `getFlagErogazionePrestazioneEducativoRiabilitativaDiAltroTipo()`
`java.lang.String` | `getFlagErogazionePrestazioneEducativoRiabilitativaDiAttivazioneCognitiva()`
`java.lang.String` | `getFlagErogazionePrestazioneEducativoRiabilitativaDiEducazionePsicomotoria()`
`java.lang.String` | `getFlagErogazionePrestazioneEducativoRiabilitativaDiRecuperoDelleAutonomiePersonali()`
`java.lang.String` | `getFlagErogazionePrestazioneRiabilitativaDiAltroTipo()`
`java.lang.String` | `getFlagErogazionePrestazioneRiabilitativaDiFisiokinesiterapia()`
`java.lang.String` | `getFlagErogazionePrestazioneRiabilitativaDiTerapiaDelLinguaggio()`
`java.lang.String` | `getFlagErogazionePrestazioneRiabilitativaDiTerapiaOccupazionale()`
`java.lang.String` | `getFlagErogazionePrestazioneRiabilitativaDiTerapiaPsicomotoria()`
`java.lang.String` | `getFlagErogazionePrestazioneRiabilitativaDiTrainingCognitivo()`
`int` | `getFrequenzaTemporale()`
`int` | `getNumeroSedute()`
`int` | `getNumGGAssistenza()`
`java.lang.String` | `getNumProtocollo()`
`void` | `setAssistito(Assistito assistito)`
`void` | `setCodFiscaleMedico(java.lang.String codFiscaleMedico)`
`void` | `setCodiceStrutturaRiabilitativa(java.lang.String codiceStrutturaRiabilitativa)`
`void` | `setCodTipoPianoDiInterventoRiabilitativo(int codTipoPianoDiInterventoRiabilitativo)`
`void` | `setCodTipoTrattamentoRiabilitativo(int codTipoTrattamentoRiabilitativo)`
`void` | `setDataEmissione(java.lang.String dataEmissione)`
`void` | `setDataFinePiano(java.lang.String dataFinePiano)`
`void` | `setDataInizioPiano(java.lang.String dataInizioPiano)`
`void` | `setDescEsamiStrumentali(java.lang.String descEsamiStrumentali)`
`void` | `setDescInformazioniCarattereAnamnesticoClinico(java.lang.String descInformazioniCarattereAnamnesticoClinico)`
`void` | `setDescInterventiProposti(java.lang.String descInterventiProposti)`
`void` | `setDescObiettiviFuturi(java.lang.String descObiettiviFuturi)`
`void` | `setDescObiettiviRaggiunti(java.lang.String descObiettiviRaggiunti)`
`void` | `setDescSedeTrattamento(java.lang.String descSedeTrattamento)`
`void` | `setDescStatoApprovazione(java.lang.String statoApprovazione)`
`void` | `setDescTipoPianoDiInterventoRiabilitativo(java.lang.String descTipoPianoDiInterventoRiabilitativo)`
`void` | `setDescTipoTrattamentoRiabilitativo(java.lang.String descTipoTrattamentoRiabilitativo)`
`void` | `setDescValutazionePedagogica(java.lang.String descValutazionePedagogica)`
`void` | `setDescValutazionePsicologica(java.lang.String descValutazionePsicologica)`
`void` | `setDescValutazioneSociale(java.lang.String descValutazioneSociale)`
`void` | `setDescValutazioniFisioterapiche(java.lang.String descValutazioniFisioterapiche)`
`void` | `setDescValutazioniSocioEducative(java.lang.String descValutazioniSocieEducative)`
`void` | `setDescValutazioniSpecialistichePerPatologia(java.lang.String descValutazioniSpecialistichePerPatologia)`
`void` | `setDimissione(DatiDimissione dimissione)`
`void` | `setElencoDiagnosi(GRPDiagnosiRiabilitazione elencoDiagnosi)`
`void` | `setElencoDispositivi(GRPDispositivi elencoDispositivi)`
`void` | `setElencoPrestazioni(GRPPrestazioniRiabilitative elencoPrestazioni)`
`void` | `setElencoSospensione(GRPPeriodoSospensione elencoSospensione)`
`void` | `setElencoSpecialisti(GRPSpecialisti elencoSpecialisti)`
`void` | `setFlagAcquisitaAutorizzazioneTrattamentoDatiPersonaliSensibili(java.lang.String flagAcquisitaAutorizzazioneTrattamentoDatiPersonaliSensibili)`
`void` | `setFlagAcquisitoConsensoInformato(java.lang.String flagAcquisitoConsensoInformato)`
`void` | `setFlagErogazionePrestazioneEducativoRiabilitativaDiAltroTipo(java.lang.String flagErogazionePrestazioneEducativoRiabilitativaDiAltroTipo)`
`void` | `setFlagErogazionePrestazioneEducativoRiabilitativaDiAttivazioneCognitiva(java.lang.String flagErogazionePrestazioneEducativoRiabilitativaDiAttivazioneCognitiva)`
`void` | `setFlagErogazionePrestazioneEducativoRiabilitativaDiEducazionePsicomotoria(java.lang.String flagErogazionePrestazioneEducativoRiabilitativaDiEducazionePsicomotoria)`
`void` | `setFlagErogazionePrestazioneEducativoRiabilitativaDiRecuperoDelleAutonomiePersonali(java.lang.String flagErogazionePrestazioneEducativoRiabilitativaDiRecuperoDelleAutonomiePersonali)`
`void` | `setFlagErogazionePrestazioneRiabilitativaDiAltroTipo(java.lang.String flagErogazionePrestazioneRiabilitativaDiAltroTipo)`
`void` | `setFlagErogazionePrestazioneRiabilitativaDiFisiokinesiterapia(java.lang.String flagErogazionePrestazioneRiabilitativaDiFisiokinesiterapia)`
`void` | `setFlagErogazionePrestazioneRiabilitativaDiTerapiaDelLinguaggio(java.lang.String flagErogazionePrestazioneRiabilitativaDiTerapiaDelLinguaggio)`
`void` | `setFlagErogazionePrestazioneRiabilitativaDiTerapiaOccupazionale(java.lang.String flagErogazionePrestazioneRiabilitativaDiTerapiaOccupazionale)`
`void` | `setFlagErogazionePrestazioneRiabilitativaDiTerapiaPsicomotoria(java.lang.String flagErogazionePrestazioneRiabilitativaDiTerapiaPsicomotoria)`
`void` | `setFlagErogazionePrestazioneRiabilitativaDiTrainingCognitivo(java.lang.String flagErogazionePrestazioneRiabilitativaDiTrainingCognitivo)`
`void` | `setFrequenzaTemporale(int frequenzaTemporale)`
`void` | `setNumeroSedute(int numeroSedute)`
`void` | `setNumGGAssistenza(int numGGAssistenza)`
`void` | `setNumProtocollo(java.lang.String numProtocollo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### numProtocollo

    private java.lang.String numProtocollo

  Numero di protocollo di un piano di intervento riabilitativo

### codiceStrutturaRiabilitativa

    private java.lang.String codiceStrutturaRiabilitativa

  Codice univoco a livello regionale della struttura riabilitativa

### codTipoPianoDiInterventoRiabilitativo

    @MinOccurs(value=1L)
    @Facets(enumeration={"1","2"})
    private int codTipoPianoDiInterventoRiabilitativo

  Indica la tipologia di un piano di intervento riabilitativo, ossia, se viene prescritto per la prima volta o se risulta essere la proroga di un precedente piano di intervento riabilitativo: 1 = Prima prescrizione 2 = Proroga

### descTipoPianoDiInterventoRiabilitativo

    private java.lang.String descTipoPianoDiInterventoRiabilitativo

  Descrizione del tipo di piano: Prima prescrizione, Proroga

### assistito

    @MinOccurs(value=1L)
    private Assistito assistito

  Dati generali inerenti l'assistito

### elencoDiagnosi

    private GRPDiagnosiRiabilitazione elencoDiagnosi

  Elenco delle diagnosi

### codTipoTrattamentoRiabilitativo

    @MinOccurs(value=1L)
    private int codTipoTrattamentoRiabilitativo

  Codice tipo di trattamento riabilitativo. 1 = residenziale 2 = semiresidenziale 3 = ambulatoriale 4 = domiciliare 5 = ambulatoriale di gruppo

### descTipoTrattamentoRiabilitativo

    @MinOccurs(value=1L)
    @Facets(enumeration={"RESIDENZIALE","SEMIRESIDENZIALE","AMBULATORIALE","DOMICILIARE","AMBULATORIALE DI GRUPPO"})
    private java.lang.String descTipoTrattamentoRiabilitativo

  Descrizione tipo di trattamento riabilitativo: residenziale semiresidenziale ambulatoriale domiciliare ambulatoriale di gruppo

### descSedeTrattamento

    @MinOccurs(value=0L)
    private java.lang.String descSedeTrattamento

  Sede presso cui effettuare il trattamento riabilitativo

### descInterventiProposti

    private java.lang.String descInterventiProposti

  Descrizione degli interventi proposti

### elencoPrestazioni

    private GRPPrestazioniRiabilitative elencoPrestazioni

  Elenco delle prestazioni riabilitative

### descObiettiviFuturi

    private java.lang.String descObiettiviFuturi

  Obiettivi che si vogliono raggiungere per mezzo delle sedute di terapia riabilitativa

### descObiettiviRaggiunti

    private java.lang.String descObiettiviRaggiunti

  Obiettivi che sono stati raggiunti per mezzo delle sedute di terapia riabilitativa

### descEsamiStrumentali

    private java.lang.String descEsamiStrumentali

  Eventuali esami strumentali da effettuare

### elencoDispositivi

    private GRPDispositivi elencoDispositivi

  Descrizione dei dispositivi

### dataInizioPiano

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataInizioPiano

  Data di inizio del piano di intervento riabilitativo

### dataFinePiano

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataFinePiano

  Data di fine del piano di intervento riabilitativo

### numeroSedute

    private int numeroSedute

  Numero di sedute nel caso di intervento di tipo non residenziale

### dataEmissione

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataEmissione

  Data di emissione della ricetta SSN

### descValutazionePsicologica

    private java.lang.String descValutazionePsicologica

  Descrizione della valutazione psicologica

### descValutazionePedagogica

    private java.lang.String descValutazionePedagogica

  Descrizione della valutazione pedagogica

### descValutazioneSociale

    private java.lang.String descValutazioneSociale

  Descrizione delle valutazioni sociali.

### descValutazioniSocioEducative

    private java.lang.String descValutazioniSocioEducative

  Descrizioni delle valutazioni socio educative

### descValutazioniSpecialistichePerPatologia

    private java.lang.String descValutazioniSpecialistichePerPatologia

  Descrizione delle valutazioni specialistiche per patologia

### descValutazioniFisioterapiche

    private java.lang.String descValutazioniFisioterapiche

  Descrizione delle valutazioni fisioterapiche

### descInformazioniCarattereAnamnesticoClinico

    private java.lang.String descInformazioniCarattereAnamnesticoClinico

  Informazioni di carattere anamnestico/clinico.

### flagAcquisitaAutorizzazioneTrattamentoDatiPersonaliSensibili

    private java.lang.String flagAcquisitaAutorizzazioneTrattamentoDatiPersonaliSensibili

  Indicazione riguardo al fatto se è stata acquisita o meno su formato cartaceo l'autoprizzazione al trattamento dei dati personali e sensibili

### flagAcquisitoConsensoInformato

    private java.lang.String flagAcquisitoConsensoInformato

  Indicazione riguardo al fatto se è stato acquisito o meno su formato cartaceo il consenso informato

### elencoSospensione

    @MinOccurs(value=0L)
    private GRPPeriodoSospensione elencoSospensione

  Elenco dei periodi di sospensione del P.R.I.

### codFiscaleMedico

    @Facets(pattern="([a-zA-Z]{6}[0-9]{2}[a-zA-Z]{1}[0-9]{2}[a-zA-Z]{1}[0-9]{3}[a-zA-Z]{1})?")
    private java.lang.String codFiscaleMedico

  Codice fiscale del medico

### numGGAssistenza

    private int numGGAssistenza

  Numero di giornate di assistenza richieste nel caso di regimi assistenziali Semiresidenziali o Residenziale.

### frequenzaTemporale

    private int frequenzaTemporale

  Indica ogni quanti giorni deve essere erogata una prestazione riabilitativa a carattere continuativo nel caso di regimi assistenziali Domiciliare, Ambulatoriale singolo o Ambulatoriale di gruppo.

### descStatoApprovazione

    private java.lang.String descStatoApprovazione

  Indica lo stato di approvazione di un P.R.I.. I valori possibili sono: 0 - non specificato; 1 - non approvato; 2 - approvato con modifica; 3 - approvato implicitamente per silenzio/assenso.

### elencoSpecialisti

    private GRPSpecialisti elencoSpecialisti

  Elenco degli specialisti che compongono il team che ha condotto il P.R.I.

### dimissione

    private DatiDimissione dimissione

  Dati generali inerenti la dimissione dell'assistito dalla struttura di riabilitazione.

### flagErogazionePrestazioneEducativoRiabilitativaDiAltroTipo

    private java.lang.String flagErogazionePrestazioneEducativoRiabilitativaDiAltroTipo

  Indica se il P.R.I. prevede l'erogazione o meno di prestazioni educativo-riabilitative di altro tipo.

### flagErogazionePrestazioneEducativoRiabilitativaDiAttivazioneCognitiva

    private java.lang.String flagErogazionePrestazioneEducativoRiabilitativaDiAttivazioneCognitiva

  Indica se il P.R.I. prevede l'erogazione o meno di prestazioni educativo-riabilitative richieste dalla attivazione cognitiva.

### flagErogazionePrestazioneEducativoRiabilitativaDiEducazionePsicomotoria

    private java.lang.String flagErogazionePrestazioneEducativoRiabilitativaDiEducazionePsicomotoria

  Indica se il P.R.I. prevede l'erogazione o meno di prestazioni educativo-riabilitative richieste dalla educazione psicomotoria.

### flagErogazionePrestazioneEducativoRiabilitativaDiRecuperoDelleAutonomiePersonali

    private java.lang.String flagErogazionePrestazioneEducativoRiabilitativaDiRecuperoDelleAutonomiePersonali

  Indica se il P.R.I. prevede l'erogazione o meno di prestazioni educativo-riabilitative richieste dal recupero delle autonomie personali.

### flagErogazionePrestazioneRiabilitativaDiAltroTipo

    private java.lang.String flagErogazionePrestazioneRiabilitativaDiAltroTipo

  Indica se il P.R.I. prevede l'erogazione o meno di prestazioni riabilitative di altro tipo.

### flagErogazionePrestazioneRiabilitativaDiFisiokinesiterapia

    private java.lang.String flagErogazionePrestazioneRiabilitativaDiFisiokinesiterapia

  Indica se il P.R.I. prevede l'erogazione o meno di prestazioni riabilitative richieste dalla fisiokinesiterapia.

### flagErogazionePrestazioneRiabilitativaDiTerapiaDelLinguaggio

    private java.lang.String flagErogazionePrestazioneRiabilitativaDiTerapiaDelLinguaggio

  Indica se il P.R.I. prevede l'erogazione o meno di prestazioni riabilitative richieste dalla terapia del linguaggio.

### flagErogazionePrestazioneRiabilitativaDiTerapiaOccupazionale

    private java.lang.String flagErogazionePrestazioneRiabilitativaDiTerapiaOccupazionale

  Indica se il P.R.I. prevede l'erogazione o meno di prestazioni riabilitative richieste dalla terapia occupazionale.

### flagErogazionePrestazioneRiabilitativaDiTerapiaPsicomotoria

    private java.lang.String flagErogazionePrestazioneRiabilitativaDiTerapiaPsicomotoria

  Indica se il P.R.I. prevede l'erogazione o meno di prestazioni riabilitative richieste dalla terapia psicomotoria.

### flagErogazionePrestazioneRiabilitativaDiTrainingCognitivo

    private java.lang.String flagErogazionePrestazioneRiabilitativaDiTrainingCognitivo

  Indica se il P.R.I. prevede l'erogazione o meno di prestazioni riabilitative richieste dal training cognitivo.

Constructor Detail

### PRI

    public PRI()

Method Detail

### getNumProtocollo

    public java.lang.String getNumProtocollo()

### setNumProtocollo

    public void setNumProtocollo(java.lang.String numProtocollo)

### getCodiceStrutturaRiabilitativa

    public java.lang.String getCodiceStrutturaRiabilitativa()

### setCodiceStrutturaRiabilitativa

    public void setCodiceStrutturaRiabilitativa(java.lang.String codiceStrutturaRiabilitativa)

### getCodTipoPianoDiInterventoRiabilitativo

    public int getCodTipoPianoDiInterventoRiabilitativo()

### setCodTipoPianoDiInterventoRiabilitativo

    public void setCodTipoPianoDiInterventoRiabilitativo(int codTipoPianoDiInterventoRiabilitativo)

### getAssistito

    public Assistito getAssistito()

### setAssistito

    public void setAssistito(Assistito assistito)

### getElencoDiagnosi

    public GRPDiagnosiRiabilitazione getElencoDiagnosi()

### setElencoDiagnosi

    public void setElencoDiagnosi(GRPDiagnosiRiabilitazione elencoDiagnosi)

### getCodTipoTrattamentoRiabilitativo

    public int getCodTipoTrattamentoRiabilitativo()

### setCodTipoTrattamentoRiabilitativo

    public void setCodTipoTrattamentoRiabilitativo(int codTipoTrattamentoRiabilitativo)

### getDescTipoTrattamentoRiabilitativo

    public java.lang.String getDescTipoTrattamentoRiabilitativo()

### setDescTipoTrattamentoRiabilitativo

    public void setDescTipoTrattamentoRiabilitativo(java.lang.String descTipoTrattamentoRiabilitativo)

### getDescSedeTrattamento

    public java.lang.String getDescSedeTrattamento()

### setDescSedeTrattamento

    public void setDescSedeTrattamento(java.lang.String descSedeTrattamento)

### getDescInterventiProposti

    public java.lang.String getDescInterventiProposti()

### setDescInterventiProposti

    public void setDescInterventiProposti(java.lang.String descInterventiProposti)

### getElencoPrestazioni

    public GRPPrestazioniRiabilitative getElencoPrestazioni()

### setElencoPrestazioni

    public void setElencoPrestazioni(GRPPrestazioniRiabilitative elencoPrestazioni)

### getDescObiettiviFuturi

    public java.lang.String getDescObiettiviFuturi()

### setDescObiettiviFuturi

    public void setDescObiettiviFuturi(java.lang.String descObiettiviFuturi)

### getDescObiettiviRaggiunti

    public java.lang.String getDescObiettiviRaggiunti()

### setDescObiettiviRaggiunti

    public void setDescObiettiviRaggiunti(java.lang.String descObiettiviRaggiunti)

### getDescEsamiStrumentali

    public java.lang.String getDescEsamiStrumentali()

### setDescEsamiStrumentali

    public void setDescEsamiStrumentali(java.lang.String descEsamiStrumentali)

### getElencoDispositivi

    public GRPDispositivi getElencoDispositivi()

### setElencoDispositivi

    public void setElencoDispositivi(GRPDispositivi elencoDispositivi)

### getDataInizioPiano

    public java.lang.String getDataInizioPiano()

### setDataInizioPiano

    public void setDataInizioPiano(java.lang.String dataInizioPiano)

### getDataFinePiano

    public java.lang.String getDataFinePiano()

### setDataFinePiano

    public void setDataFinePiano(java.lang.String dataFinePiano)

### getNumeroSedute

    public int getNumeroSedute()

### setNumeroSedute

    public void setNumeroSedute(int numeroSedute)

### getDataEmissione

    public java.lang.String getDataEmissione()

### setDataEmissione

    public void setDataEmissione(java.lang.String dataEmissione)

### getDescValutazionePsicologica

    public java.lang.String getDescValutazionePsicologica()

### setDescValutazionePsicologica

    public void setDescValutazionePsicologica(java.lang.String descValutazionePsicologica)

### getDescValutazionePedagogica

    public java.lang.String getDescValutazionePedagogica()

### setDescValutazionePedagogica

    public void setDescValutazionePedagogica(java.lang.String descValutazionePedagogica)

### getDescValutazioneSociale

    public java.lang.String getDescValutazioneSociale()

### setDescValutazioneSociale

    public void setDescValutazioneSociale(java.lang.String descValutazioneSociale)

### getDescValutazioniSocioEducative

    public java.lang.String getDescValutazioniSocioEducative()

### setDescValutazioniSocioEducative

    public void setDescValutazioniSocioEducative(java.lang.String descValutazioniSocieEducative)

### getDescValutazioniSpecialistichePerPatologia

    public java.lang.String getDescValutazioniSpecialistichePerPatologia()

### setDescValutazioniSpecialistichePerPatologia

    public void setDescValutazioniSpecialistichePerPatologia(java.lang.String descValutazioniSpecialistichePerPatologia)

### getDescValutazioniFisioterapiche

    public java.lang.String getDescValutazioniFisioterapiche()

### setDescValutazioniFisioterapiche

    public void setDescValutazioniFisioterapiche(java.lang.String descValutazioniFisioterapiche)

### getDescInformazioniCarattereAnamnesticoClinico

    public java.lang.String getDescInformazioniCarattereAnamnesticoClinico()

### setDescInformazioniCarattereAnamnesticoClinico

    public void setDescInformazioniCarattereAnamnesticoClinico(java.lang.String descInformazioniCarattereAnamnesticoClinico)

### getFlagAcquisitaAutorizzazioneTrattamentoDatiPersonaliSensibili

    public java.lang.String getFlagAcquisitaAutorizzazioneTrattamentoDatiPersonaliSensibili()

### setFlagAcquisitaAutorizzazioneTrattamentoDatiPersonaliSensibili

    public void setFlagAcquisitaAutorizzazioneTrattamentoDatiPersonaliSensibili(java.lang.String flagAcquisitaAutorizzazioneTrattamentoDatiPersonaliSensibili)

### getFlagAcquisitoConsensoInformato

    public java.lang.String getFlagAcquisitoConsensoInformato()

### setFlagAcquisitoConsensoInformato

    public void setFlagAcquisitoConsensoInformato(java.lang.String flagAcquisitoConsensoInformato)

### getElencoSospensione

    public GRPPeriodoSospensione getElencoSospensione()

### setElencoSospensione

    public void setElencoSospensione(GRPPeriodoSospensione elencoSospensione)

### getCodFiscaleMedico

    public java.lang.String getCodFiscaleMedico()

### setCodFiscaleMedico

    public void setCodFiscaleMedico(java.lang.String codFiscaleMedico)

### getNumGGAssistenza

    public int getNumGGAssistenza()

### setNumGGAssistenza

    public void setNumGGAssistenza(int numGGAssistenza)

### getFrequenzaTemporale

    public int getFrequenzaTemporale()

### setFrequenzaTemporale

    public void setFrequenzaTemporale(int frequenzaTemporale)

### getDescStatoApprovazione

    public java.lang.String getDescStatoApprovazione()

### setDescStatoApprovazione

    public void setDescStatoApprovazione(java.lang.String statoApprovazione)

### getElencoSpecialisti

    public GRPSpecialisti getElencoSpecialisti()

### setElencoSpecialisti

    public void setElencoSpecialisti(GRPSpecialisti elencoSpecialisti)

### getDimissione

    public DatiDimissione getDimissione()

### setDimissione

    public void setDimissione(DatiDimissione dimissione)

### setDescTipoPianoDiInterventoRiabilitativo

    public void setDescTipoPianoDiInterventoRiabilitativo(java.lang.String descTipoPianoDiInterventoRiabilitativo)

### getDescTipoPianoDiInterventoRiabilitativo

    public java.lang.String getDescTipoPianoDiInterventoRiabilitativo()

### getFlagErogazionePrestazioneEducativoRiabilitativaDiAltroTipo

    public java.lang.String getFlagErogazionePrestazioneEducativoRiabilitativaDiAltroTipo()

### setFlagErogazionePrestazioneEducativoRiabilitativaDiAltroTipo

    public void setFlagErogazionePrestazioneEducativoRiabilitativaDiAltroTipo(java.lang.String flagErogazionePrestazioneEducativoRiabilitativaDiAltroTipo)

### getFlagErogazionePrestazioneEducativoRiabilitativaDiAttivazioneCognitiva

    public java.lang.String getFlagErogazionePrestazioneEducativoRiabilitativaDiAttivazioneCognitiva()

### setFlagErogazionePrestazioneEducativoRiabilitativaDiAttivazioneCognitiva

    public void setFlagErogazionePrestazioneEducativoRiabilitativaDiAttivazioneCognitiva(java.lang.String flagErogazionePrestazioneEducativoRiabilitativaDiAttivazioneCognitiva)

### getFlagErogazionePrestazioneEducativoRiabilitativaDiEducazionePsicomotoria

    public java.lang.String getFlagErogazionePrestazioneEducativoRiabilitativaDiEducazionePsicomotoria()

### setFlagErogazionePrestazioneEducativoRiabilitativaDiEducazionePsicomotoria

    public void setFlagErogazionePrestazioneEducativoRiabilitativaDiEducazionePsicomotoria(java.lang.String flagErogazionePrestazioneEducativoRiabilitativaDiEducazionePsicomotoria)

### getFlagErogazionePrestazioneEducativoRiabilitativaDiRecuperoDelleAutonomiePersonali

    public java.lang.String getFlagErogazionePrestazioneEducativoRiabilitativaDiRecuperoDelleAutonomiePersonali()

### setFlagErogazionePrestazioneEducativoRiabilitativaDiRecuperoDelleAutonomiePersonali

    public void setFlagErogazionePrestazioneEducativoRiabilitativaDiRecuperoDelleAutonomiePersonali(java.lang.String flagErogazionePrestazioneEducativoRiabilitativaDiRecuperoDelleAutonomiePersonali)

### getFlagErogazionePrestazioneRiabilitativaDiAltroTipo

    public java.lang.String getFlagErogazionePrestazioneRiabilitativaDiAltroTipo()

### setFlagErogazionePrestazioneRiabilitativaDiAltroTipo

    public void setFlagErogazionePrestazioneRiabilitativaDiAltroTipo(java.lang.String flagErogazionePrestazioneRiabilitativaDiAltroTipo)

### getFlagErogazionePrestazioneRiabilitativaDiFisiokinesiterapia

    public java.lang.String getFlagErogazionePrestazioneRiabilitativaDiFisiokinesiterapia()

### setFlagErogazionePrestazioneRiabilitativaDiFisiokinesiterapia

    public void setFlagErogazionePrestazioneRiabilitativaDiFisiokinesiterapia(java.lang.String flagErogazionePrestazioneRiabilitativaDiFisiokinesiterapia)

### getFlagErogazionePrestazioneRiabilitativaDiTerapiaDelLinguaggio

    public java.lang.String getFlagErogazionePrestazioneRiabilitativaDiTerapiaDelLinguaggio()

### setFlagErogazionePrestazioneRiabilitativaDiTerapiaDelLinguaggio

    public void setFlagErogazionePrestazioneRiabilitativaDiTerapiaDelLinguaggio(java.lang.String flagErogazionePrestazioneRiabilitativaDiTerapiaDelLinguaggio)

### getFlagErogazionePrestazioneRiabilitativaDiTerapiaOccupazionale

    public java.lang.String getFlagErogazionePrestazioneRiabilitativaDiTerapiaOccupazionale()

### setFlagErogazionePrestazioneRiabilitativaDiTerapiaOccupazionale

    public void setFlagErogazionePrestazioneRiabilitativaDiTerapiaOccupazionale(java.lang.String flagErogazionePrestazioneRiabilitativaDiTerapiaOccupazionale)

### getFlagErogazionePrestazioneRiabilitativaDiTerapiaPsicomotoria

    public java.lang.String getFlagErogazionePrestazioneRiabilitativaDiTerapiaPsicomotoria()

### setFlagErogazionePrestazioneRiabilitativaDiTerapiaPsicomotoria

    public void setFlagErogazionePrestazioneRiabilitativaDiTerapiaPsicomotoria(java.lang.String flagErogazionePrestazioneRiabilitativaDiTerapiaPsicomotoria)

### getFlagErogazionePrestazioneRiabilitativaDiTrainingCognitivo

    public java.lang.String getFlagErogazionePrestazioneRiabilitativaDiTrainingCognitivo()

### setFlagErogazionePrestazioneRiabilitativaDiTrainingCognitivo

    public void setFlagErogazionePrestazioneRiabilitativaDiTrainingCognitivo(java.lang.String flagErogazionePrestazioneRiabilitativaDiTrainingCognitivo)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD